vpSetDebug(3)

NAME
vpSetDebug - enable/disable debugging options

SYNOPSIS
#include <volpack.h>

vpSetDebug(vpc, flag, value) vpContext *vpc; int flag; int value;

ARGUMENTS

vpc VolPack context from vpCreateContext.

flag
    Constant that specifies the debugging option to be adjusted.

value
    New value for the option (boolean: 0 or 1).

DESCRIPTION
vpSetDebug is used to enable or disable a debugging option in a rendering context. The debugging options cause messages to be printed during execution. These messages are probably useless without a good understanding of the source code. If the value option is 0 then the option is disabled; otherwise it is enabled. The following list summarizes all available options:

VPDEBUG_VIEW
    view transform calculations

VPDEBUG_RENDER
    high-level rendering stages

VPDEBUG_RBUF
    intermediate image (render buffer) allocation

VPDEBUG_OPCCORRECT
    opacity correction

VPDEBUG_DEPTHCUE
    depth cueing

VPDEBUG_PYRAMID
    pyramid construction

VPDEBUG_OCTREE
    octree construction

VPDEBUG_CLSFYOCTREE
    octree classification

VPDEBUG_OCTREERUNS
    runs computed from octree

VPDEBUG_OCTREETRAVERSE
    octree traversal

VPDEBUG_TRANSPOSE
    volume transposing

VPDEBUG_COMPOSITE
    compositing

The VolPack library must be compiled with the -DDEBUG compiler option for this function to have any effect.

ERRORS
The normal return value is VP_OK. The following error return value is possible:

VPERROR_BAD_OPTION
    The flag argument is invalid.

SEE ALSO
VolPack(3), vpCreateContext(3)